> For the complete documentation index, see [llms.txt](https://apidocs.onekeypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.onekeypayments.com/api-reference/deposits-api/manage-payments/get-deposit-status.md).

# Get deposit status

## Retrieve Deposit Status

> Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.

```json
{"openapi":"3.0.0","info":{"title":"onekeypayments Deposit API","version":"v3"},"servers":[{"url":"https://api-stg.onekeypayments.com/v3","description":"Staging environment"}],"paths":{"/deposits/{deposit_id}":{"get":{"summary":"Retrieve Deposit Status","description":"Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.","tags":["Deposits"],"parameters":[{"name":"deposit_id","in":"path","required":true,"description":"onekeypayments deposit_id. It is obtained when creating the deposit.","schema":{"type":"integer"}},{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string","default":"application/json"}},{"name":"X-Date","in":"header","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"X-Login","in":"header","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}},{"name":"X-Idempotency-Key","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Deposit status successfully retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositStatusResponse"}}}},"400":{"description":"The deposit_id specified is not valid"},"401":{"description":"Unauthorized access"},"404":{"description":"The deposit_id specified could not be found"}}}}},"components":{"schemas":{"DepositStatusResponse":{"type":"object","properties":{"user_id":{"type":"string"},"deposit_id":{"type":"integer"},"subscription_id":{"type":"integer","nullable":true},"invoice_id":{"type":"string"},"country":{"type":"string","nullable":true},"currency":{"type":"string"},"local_amount":{"type":"number","format":"float","nullable":true},"usd_amount":{"type":"number","format":"float","nullable":true},"amount":{"type":"number","format":"float","nullable":true},"bonus_amount":{"type":"number","format":"float","nullable":true},"bonus_relative":{"type":"boolean","nullable":true},"payment_method":{"type":"string","nullable":true},"payment_type":{"type":"string","nullable":true},"status":{"type":"string","enum":["COMPLETED","PENDING","CREATED","DECLINED","CANCELLED","EXPIRED","EARLY_RELEASED","FOR_REVIEW"]},"status_reason":{"type":"string","nullable":true},"payer":{"$ref":"#/components/schemas/Payer"},"fee_amount":{"type":"number","format":"float","nullable":true},"fee_currency":{"type":"string","nullable":true},"refunded":{"type":"boolean","nullable":true},"current_payer_verification":{"type":"string","enum":["MATCH","UNMATCH","NO_CLIENT_DOCUMENT","NO_CURRENT_PAYER_DATA"],"nullable":true},"card_detail":{"type":"object","nullable":true},"financial_institution":{"type":"object","nullable":true},"bank_account":{"type":"object","nullable":true},"completed_payment_method_code":{"type":"string","nullable":true}}},"Payer":{"type":"object","properties":{"document":{"type":"string"},"document_type":{"type":"string"},"email":{"type":"string","format":"email"},"first_name":{"type":"string"},"last_name":{"type":"string"},"phone":{"type":"string"},"address":{"type":"object"}}}}}}
```
